PHP, which is an initialism for PHP: Hypertext Preprocessor, is one of the most popular general-purpose web programming languages out there. Any website or web-based application created in PHP will run on a given web server provided that a PHP module is installed, which makes the language really universal and it is small wonder that there are actually a few million servers that support it and 100s of millions of PHP-driven sites hosted on them. PHP is preferred over HTML thanks to the fact that it enables you to build a dynamic serving website with lots of features. A PHP-based community portal, for example, will show different web content to each user in spite of the fact that the URL will remain unchanged. By contrast, HTML-based websites are static and the page content can be updated only manually. Like any other software, PHP has several versions and the one that was used while developing a given website must be present on the server in order for the site to work flawlessly.
PHP 4 and PHP 5 Support in Website Hosting
Our website hosting servers support several PHP versions, which means that your websites will run properly even if your PHP-based scripts are outdated. We accept the fact that an old site doesn’t automatically mean an insecure one as you may have performed a lot of source code mods. That is why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can pick which version will be enabled for your hosting account. The version can be changed with one single click of the mouse inside your Hepsia hosting Control Panel and the new settings will be applied instantaneously. In case you wish to run both older and newer scripts, there is even a possibility to use a different PHP version for each of your domains simultaneously.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
Our semi-dedicated servers support multiple PHP versions, which goes to say that you will be able to run all the web-based apps that you have built over the years. The Hepsia hosting Control Panel, which comes bundled with each single semi-dedicated server account, will enable you to set the required version with just one mouse click. You can select between PHP 5.5, 5.4, 5.3, 5.2 and 4. If you’d like to host multiple websites in the very same account and they have various requirements as respects the hosting platform, you will be able to specify a different PHP version for each of them irrespective of which version is enabled for the account as a whole. This is achievable owing to our custom-developed cloud web hosting platform, which permits us to run multiple versions of PHP at the same time. By contrast, most hosting providers usually support one, rarely two versions.